Page MenuHomePhabricator

ReadingLists extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the ReadingLists PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Details

Related Gerrit Patches:
mediawiki/extensions/ReadingLists : masterAdd @covers to unit tests

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 1:53 AM
Legoktm added a subscriber: Tgr.May 20 2018, 1:58 AM

I'm a bit surprised there's no project for the ReadingLists extension..?

Reading List Service (which covers both the extension and the RESTBase proxy). It's documented on the extension page; I'll add an alias.

Vvjjkkii renamed this task from ReadingLists extension is missing @covers tags to 8lcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 8lcaaaaaaa to ReadingLists extension is missing @covers tags.Jul 1 2018, 5:06 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 455118 had a related patch set uploaded (by Legoktm; owner: Umherirrender):
[mediawiki/extensions/ReadingLists@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455118

Change 455118 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455118

Legoktm closed this task as Resolved.Aug 25 2018, 6:22 AM
Legoktm assigned this task to Umherirrender.